Bug 1268846 - xorg-x11-glamor should be obsoleted [NEEDINFO]
xorg-x11-glamor should be obsoleted
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity urgent
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 08:29 EDT by Tomas Pelka
Modified: 2015-11-18 23:28 EST (History)
2 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.17.2-10.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-18 23:28:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tpelka: needinfo? (ajax)


Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2015-10-05 08:29:57 EDT
Description of problem:
xorg-x11-glamor was dropped in 7.2 so I think xorg-x11-drv-ati should obsolete xorg-x11-glamor

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.5.0-3.el7

How reproducible:
100%

Steps to Reproduce:
1. update 7.1 to 7.2
2.
3.

Actual results:
Output from RPM Command:
error: Failed dependencies:
        libglamor.so.0()(64bit) is needed by (installed) xorg-x11-glamor-devel
-0.6.0-2.20140918git347ef4f.el7.x86_64
        xorg-x11-glamor(x86-64) = 0.6.0-2.20140918git347ef4f.el7 is needed by 
(installed) xorg-x11-glamor-devel-0.6.0-2.20140918git347ef4f.el7.x86_64

Expected results:


Additional info:
Comment 1 Adam Jackson 2015-10-05 14:46:20 EDT
This should properly be done in xserver, since that's what provides glamor now.  We're already doing this for the xorg-x11-glamor package but not xorg-x11-glamor-devel, oops.
Comment 5 errata-xmlrpc 2015-11-18 23:28:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-2198.html

Note You need to log in before you can comment on or make changes to this bug.